id: d6_language_content_menu_settings
label: Drupal 6 language content menu settings
migration_tags:
  - Drupal 6
  - Configuration
source:
  plugin: extension
  name: i18nmenu
  constants:
    target_type: 'menu_link_content'
    langcode: 'site_default'
process:
  target_entity_type_id: 'constants/target_type'
  # menu_link_content has a bundle key but no bundle support so use the entity
  # type as the bundle.
  target_bundle: 'constants/target_type'
  default_langcode: 'constants/langcode'
  # Drupal 6 menus are translated when the i18nmenu module is enabled.
  language_alterable: status
destination:
  plugin: entity:language_content_settings
migration_dependencies:
  required:
    - language
